Bug 1641276 - [abrt] sakura: sakura_child_exited(): sakura killed by SIGSEGV
Summary: [abrt] sakura: sakura_child_exited(): sakura killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sakura
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:89cc8ecfae1ceb86788382f75c1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-20 21:26 UTC by Boyd
Modified: 2019-05-10 03:15 UTC (History)
7 users (show)

Fixed In Version: sakura-3.6.0-4.fc28 sakura-3.6.0-4.fc29 sakura-3.6.0-4.fc30 sakura-3.6.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 23:24:28 UTC


Attachments (Terms of Use)
File: backtrace (29.16 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: cgroup (369 bytes, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: core_backtrace (13.63 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: dso_list (9.39 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: environ (4.24 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: exploitable (82 bytes, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: limits (1.29 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: maps (54.55 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: mountinfo (4.59 KB, text/plain)
2018-10-20 21:26 UTC, Boyd
no flags Details
File: open_fds (1.18 KB, text/plain)
2018-10-20 21:27 UTC, Boyd
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2018-10-20 21:27 UTC, Boyd
no flags Details
File: var_log_messages (109 bytes, text/plain)
2018-10-20 21:27 UTC, Boyd
no flags Details

Description Boyd 2018-10-20 21:26:27 UTC
Version-Release number of selected component:
sakura-3.6.0-2.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        sakura
crash_function: sakura_child_exited
executable:     /usr/bin/sakura
journald_cursor: s=4a6afffe7a4945e2ab16d802aa715473;i=5114e;b=f3d3fd4fa8ed4797890d6074c59e3bd7;m=77d2b3e2;t=578af90b0bc61;x=f9e111e9089b68d9
kernel:         4.18.14-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sakura_child_exited at /usr/src/debug/sakura-3.6.0-2.fc29.x86_64/src/sakura.c:963
 #5 vte::platform::Widget::emit_child_exited at widget.hh:47
 #6 vte::platform::Widget::dispose at widget.cc:130
 #7 vte_terminal_dispose at vtegtk.cc:412
 #9 gtk_box_forall at gtkbox.c:2671
 #10 gtk_container_destroy at gtkcontainer.c:1700
 #15 gtk_widget_dispose at gtkwidget.c:12098
 #17 gtk_container_remove at gtkcontainer.c:1909
 #18 sakura_del_tab at /usr/src/debug/sakura-3.6.0-2.fc29.x86_64/src/sakura.c:3369
 #19 sakura_eof at /usr/src/debug/sakura-3.6.0-2.fc29.x86_64/src/sakura.c:1006

Comment 1 Boyd 2018-10-20 21:26:35 UTC
Created attachment 1496019 [details]
File: backtrace

Comment 2 Boyd 2018-10-20 21:26:38 UTC
Created attachment 1496020 [details]
File: cgroup

Comment 3 Boyd 2018-10-20 21:26:40 UTC
Created attachment 1496021 [details]
File: core_backtrace

Comment 4 Boyd 2018-10-20 21:26:43 UTC
Created attachment 1496022 [details]
File: cpuinfo

Comment 5 Boyd 2018-10-20 21:26:45 UTC
Created attachment 1496023 [details]
File: dso_list

Comment 6 Boyd 2018-10-20 21:26:47 UTC
Created attachment 1496024 [details]
File: environ

Comment 7 Boyd 2018-10-20 21:26:49 UTC
Created attachment 1496025 [details]
File: exploitable

Comment 8 Boyd 2018-10-20 21:26:52 UTC
Created attachment 1496026 [details]
File: limits

Comment 9 Boyd 2018-10-20 21:26:56 UTC
Created attachment 1496027 [details]
File: maps

Comment 10 Boyd 2018-10-20 21:26:58 UTC
Created attachment 1496028 [details]
File: mountinfo

Comment 11 Boyd 2018-10-20 21:27:01 UTC
Created attachment 1496029 [details]
File: open_fds

Comment 12 Boyd 2018-10-20 21:27:02 UTC
Created attachment 1496030 [details]
File: proc_pid_status

Comment 13 Boyd 2018-10-20 21:27:04 UTC
Created attachment 1496031 [details]
File: var_log_messages

Comment 14 Mikhail Koshelev 2018-11-05 16:44:15 UTC
Fix seems to be available upstream: https://bugs.launchpad.net/sakura/+bug/1790317

Comment 15 Peter Kotrčka 2018-12-08 21:28:14 UTC
Similar problem has been detected:

Sakura works just fine, I am getting crash report when I close it. It does not affect other instances of Sakura running.

No data loss or anything, just a crash report.
---

When I run it from my terminal emulator, this is what I am getting (just including it in case that log does not show this messagae):

(sakura:18508): GLib-GObject-CRITICAL **: 22:24:58.888: g_object_get_qdata: assertion 'G_IS_OBJECT (object)' failed
Segmentation fault (core dumped)

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/sakura
crash_function: sakura_child_exited
executable:     /usr/bin/sakura
journald_cursor: s=18f20cf9604e41afb547a7115794f111;i=696f;b=6e1afa538fa640c58b50baa3fad23306;m=946ce14dc;t=57bdb3f4e60f6;x=dfb05dd84b9d21b2
kernel:         4.19.2-300.fc29.x86_64
package:        sakura-3.6.0-2.fc29
reason:         sakura killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 ykonoclast 2019-03-26 19:31:23 UTC
Similar problem has been detected:

Sakura crashes when several tabs are opened and I close one.

Frequency :
Systematic.

Steps to reproduce:
Open more than one tab, attempt to close one.

Expected result :
Only the selected tab will close.

Actual result :
Application crashes.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        sakura
crash_function: sakura_child_exited
executable:     /usr/bin/sakura
journald_cursor: s=2f86760e19b34913a993772f783bff0a;i=27555;b=f0a1eeebc5954c64835f7d9f0bd5db48;m=1ccb7ed4c;t=5850431061dcd;x=d44f2ecae71dc36b
kernel:         5.0.3-200.fc29.x86_64
package:        sakura-3.6.0-2.fc29
reason:         sakura killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora Update System 2019-04-14 17:17:31 UTC
sakura-3.6.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1de963c5ac

Comment 18 Fedora Update System 2019-04-14 17:17:37 UTC
sakura-3.6.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4204b24430

Comment 19 Fedora Update System 2019-04-14 17:17:44 UTC
sakura-3.6.0-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e459ccb6d

Comment 20 Fedora Update System 2019-04-14 17:17:50 UTC
sakura-3.6.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-87bebb680e

Comment 21 Fedora Update System 2019-04-15 01:42:59 UTC
sakura-3.6.0-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e459ccb6d

Comment 22 Fedora Update System 2019-04-15 15:15:59 UTC
sakura-3.6.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-87bebb680e

Comment 23 Fedora Update System 2019-04-15 16:20:06 UTC
sakura-3.6.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4204b24430

Comment 24 Fedora Update System 2019-04-15 20:43:42 UTC
sakura-3.6.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1de963c5ac

Comment 25 Fedora Update System 2019-04-25 23:24:28 UTC
sakura-3.6.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-04-26 22:29:02 UTC
sakura-3.6.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2019-04-27 21:24:37 UTC
sakura-3.6.0-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2019-05-10 03:15:18 UTC
sakura-3.6.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.